MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004986ardourbugspublic2012-07-03 02:412016-02-03 16:55
ReporterBenSpector 
Assigned Totimbyr 
PrioritynormalSeverityminorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version3.0Fixed in Version4.7 
Summary0004986: Duplicate range doesn't refers to multiple or trimmed regions.
DescriptionOn OSX Lion
When duplicating a range which contains a region that has been trimmed, Ardour will fill the trimmed area.
When duplicating a range containing more than one region, Ardour will consolidate them while deleting the data in all but the first one.
See attached movies.
TagsNo tags attached.
Attached Filesmov file icon Screen Recording 31.mov [^] (628,356 bytes) 2012-07-03 02:41
mov file icon Screen Recording 33.mov [^] (1,706,302 bytes) 2012-07-03 02:46
mov file icon Screen Recording 34.mov [^] (1,120,981 bytes) 2012-07-03 02:48

- Relationships
related to 0004984resolvedtimbyr Duplicate range selection will not work when selection begins in an empty area. 

-  Notes
(0017193)
timbyr (developer)
2015-09-14 06:19

This is still an issue in 4.2 and master@e63c3d02
(0017851)
timbyr (developer)
2016-01-27 19:56

This issue should now be resolved in Ardour master branch as of commit 45e8bda65f or a nightly build >= 4.6.137

Confirmation from the reporter is appreciated but as the bug is several years old if there is no response after a week or so I will mark as resolved.

- Issue History
Date Modified Username Field Change
2012-07-03 02:41 BenSpector New Issue
2012-07-03 02:41 BenSpector File Added: Screen Recording 31.mov
2012-07-03 02:46 BenSpector File Added: Screen Recording 33.mov
2012-07-03 02:48 BenSpector File Added: Screen Recording 34.mov
2012-07-04 09:16 cth103 cost => 0.00
2012-07-04 09:16 cth103 Target Version => 3.0
2012-07-04 14:55 cth103 Relationship added related to 0004984
2015-09-14 06:19 timbyr Note Added: 0017193
2015-09-14 06:19 timbyr Status new => confirmed
2016-01-27 19:56 timbyr Note Added: 0017851
2016-01-27 19:56 timbyr Assigned To => timbyr
2016-01-27 19:56 timbyr Status confirmed => feedback
2016-02-03 16:55 timbyr Status feedback => resolved
2016-02-03 16:55 timbyr Fixed in Version => 4.7
2016-02-03 16:55 timbyr Resolution open => fixed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker